RecurringInvoice
Recurring invoice schedules (pause, resume, generate)
GET /api/v1/recurring/invoices
GET /api/v1/recurring/invoices
Requires authentication (Bearer token) and the X-Organization-Id header.
API token scope: recurring_invoices.view
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
page |
query | integer | no | |
per_page |
query | integer | no |
Responses
| Status | Description |
|---|---|
| 200 | For non-paginated data, return as before |
| 422 |
Example request
curl -X GET "https://kworia.com/api/v1/recurring/invoices" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json"
POST /api/v1/recurring/invoices
POST /api/v1/recurring/invoices
Requires authentication (Bearer token) and the X-Organization-Id header.
API token scope: recurring_invoices.create
Request body
| Field | Type | Required | Description |
|---|---|---|---|
customer_id |
integer | yes | |
name |
string | yes | |
frequency |
string | yes | |
interval |
integer | no | |
start_date |
string | yes | |
end_date |
string | no | |
max_occurrences |
integer | no | |
auto_send |
boolean | no | |
currency |
string | yes | |
payment_terms_days |
integer | no | |
items |
array | yes |
Responses
| Status | Description |
|---|---|
| 201 | For non-paginated data, return as before |
| 422 |
Example request
curl -X POST "https://kworia.com/api/v1/recurring/invoices" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"customer_id": 1,
"name": "string",
"frequency": "string",
"interval": 1,
"start_date": "string",
"end_date": "string",
"max_occurrences": 1,
"auto_send": true,
"currency": "string",
"payment_terms_days": 1,
"items": []
}'
GET /api/v1/recurring/invoices/{id}
GET /api/v1/recurring/invoices/{id}
Requires authentication (Bearer token) and the X-Organization-Id header.
API token scope: recurring_invoices.view
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer | yes |
Responses
| Status | Description |
|---|---|
| 200 | For non-paginated data, return as before |
Example request
curl -X GET "https://kworia.com/api/v1/recurring/invoices/{id}" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json"
PUT /api/v1/recurring/invoices/{id}
PUT /api/v1/recurring/invoices/{id}
Requires authentication (Bearer token) and the X-Organization-Id header.
API token scope: recurring_invoices.update
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
customer_id |
integer | no | |
name |
string | no | |
frequency |
string | no | |
interval |
integer | no | |
end_date |
string | no | |
max_occurrences |
integer | no | |
auto_send |
boolean | no | |
payment_terms_days |
integer | no | |
items |
array | no |
Responses
| Status | Description |
|---|---|
| 200 | For non-paginated data, return as before |
| 422 |
Example request
curl -X PUT "https://kworia.com/api/v1/recurring/invoices/{id}" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"customer_id": 1,
"name": "string",
"frequency": "string",
"interval": 1,
"end_date": "string",
"max_occurrences": 1,
"auto_send": true,
"payment_terms_days": 1,
"items": []
}'
DELETE /api/v1/recurring/invoices/{id}
DELETE /api/v1/recurring/invoices/{id}
Requires authentication (Bearer token) and the X-Organization-Id header.
API token scope: recurring_invoices.delete
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer | yes |
Responses
| Status | Description |
|---|---|
| 200 | For non-paginated data, return as before |
Example request
curl -X DELETE "https://kworia.com/api/v1/recurring/invoices/{id}" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json"
POST /api/v1/recurring/invoices/{id}/generate
POST /api/v1/recurring/invoices/{id}/generate
Requires authentication (Bearer token) and the X-Organization-Id header.
API token scope: recurring_invoices.update
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer | yes |
Responses
| Status | Description |
|---|---|
| 201 | For non-paginated data, return as before |
Example request
curl -X POST "https://kworia.com/api/v1/recurring/invoices/{id}/generate" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json"
POST /api/v1/recurring/invoices/{id}/pause
POST /api/v1/recurring/invoices/{id}/pause
Requires authentication (Bearer token) and the X-Organization-Id header.
API token scope: recurring_invoices.update
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer | yes |
Responses
| Status | Description |
|---|---|
| 200 | For non-paginated data, return as before |
Example request
curl -X POST "https://kworia.com/api/v1/recurring/invoices/{id}/pause" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json"
POST /api/v1/recurring/invoices/{id}/resume
POST /api/v1/recurring/invoices/{id}/resume
Requires authentication (Bearer token) and the X-Organization-Id header.
API token scope: recurring_invoices.update
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer | yes |
Responses
| Status | Description |
|---|---|
| 200 | For non-paginated data, return as before |
Example request
curl -X POST "https://kworia.com/api/v1/recurring/invoices/{id}/resume" \
-H "Authorization: Bearer {{access_token}}" \
-H "X-Organization-Id: {{organization_id}}" \
-H "Accept: application/json"